extends Node2D

var child_scene = preload("res://child.tscn")

export var parent_resource : Resource

var tracked_children := {}

func _ready() -> void:
	randomize()
	parent_resource.name = "%d" % randi()
	for i in 100:
		var child_instance = child_scene.instance()
		child_instance.setup()
		add_child(child_instance)
		tracked_children[child_instance.child_resource.name] = child_instance.child_resource
	parent_resource.tracked_children = tracked_children.duplicate()
